KDE 4.9 PyKDE API Reference

- KDE's Python API

# EntityHiddenAttribute Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Attribute
Namespace: Akonadi

## Detailed Description

An Attribute that marks that an entity should be hidden in the UI.

This class represents the attribute of all hidden items. The hidden items shouldn't be displayed in UI applications (unless in some kind of "debug" mode).

Example:

     using namespace Akonadi;

     ...
     // hide a collection by setting the hidden attribute
     Collection collection = collectionFetchJob->collections().first();
     collection.attribute<EntityHiddenAttribute>( Entity.AddIfMissing );
     new CollectionModifyJob( collection, this ); // save back to storage

     // check if the collection is hidden
     if ( collection.hasAttribute<EntityHiddenAttribute>() )
       qDebug() << "collection is hidden";
     else
       qDebug() << "collection is visible";

Author:
  Szymon Stefanek <s.stefanek@gmail.com>

See also:
  Akonadi.Attribute

Since:
  4.4

## Methods

| __init__ (self)
Akonadi.EntityHiddenAttribute | clone (self)
| deserialize (self, QByteArray data)
QByteArray | serialized (self)
QByteArray | type (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates a new entity hidden attribute.

Akonadi.EntityHiddenAttribute clone | ( |  | self ) |

Reimplemented from Attribute

deserialize | ( | self, |
|  | QByteArray | data
| ) |  |  |

Reimplemented from Attribute

QByteArray serialized | ( |  | self ) |

Reimplemented from Attribute

QByteArray type | ( |  | self ) |

Reimplemented from Attribute